Bug 920387 - Review Request: heat-cfntools - Instance tools for Heat provisioned instances
Summary: Review Request: heat-cfntools - Instance tools for Heat provisioned instances
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kashyap Chamarthy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 956407
TreeView+ depends on / blocked
 
Reported: 2013-03-12 01:00 UTC by Steven Dake
Modified: 2016-04-26 17:48 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-25 16:26:07 UTC
kchamart: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steven Dake 2013-03-12 01:00:38 UTC
Spec URL: https://raw.github.com/sdake/fedora-reviews/master/heat-cfntools/heat-cfntools.spec
Description: Heat tools used inside guest vms for provisioning
SRPM URL: https://github.com/sdake/fedora-reviews/raw/master/heat-cfntools/heat-cfntools-1.2.0-1.fc18.src.rpm
Fedora Account System Username: sdake

Comment 1 Kashyap Chamarthy 2013-03-12 05:35:58 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "*No copyright* Apache (v2.0)". 2 files have unknown
     license. Detailed output of licensecheck in /home/kashyap/rpmbuild/SRPMS
     /heat-cfntools/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: heat-cfntools-1.2.0-1.fc18.noarch.rpm
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-init
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-create-aws-symlinks
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-signal
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-get-metadata
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-push-stats
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-hup
1 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint heat-cfntools
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-init
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-create-aws-symlinks
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-signal
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-get-metadata
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-push-stats
heat-cfntools.noarch: W: no-manual-page-for-binary cfn-hup
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
heat-cfntools (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-boto
    python-psutil



Provides
--------
heat-cfntools:
    heat-cfntools



MD5-sum check
-------------
https://pypi.python.org/packages/source/h/heat-cfntools/heat-cfntools-1.2.tar.gz :
  CHECKSUM(SHA256) this package     : ab305b318eacc0a0092fabd6897274ec28e9b3f6d30e03b0dc82765233bb729b
  CHECKSUM(SHA256) upstream package : ab305b318eacc0a0092fabd6897274ec28e9b3f6d30e03b0dc82765233bb729b


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review --rpm-spec -n heat-cfntools-1.2.0-1.fc18.src.rpm

Comment 2 Kashyap Chamarthy 2013-03-12 05:49:21 UTC
-> Koji scratch build successful:
#------------------------------------#
kashyap@SRPMS$ koji build --scratch f19 heat-cfntools-1.2.0-1.fc18.src.rpm 
Uploading srpm: heat-cfntools-1.2.0-1.fc18.src.rpm
[====================================] 100% 00:00:02  23.15 KiB  10.50 KiB/sec
Created task: 5111164
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5111164
Watching tasks (this may be safely interrupted)...
5111164 build (f19, heat-cfntools-1.2.0-1.fc18.src.rpm): open (buildvm-08.phx2.fedoraproject.org)
  5111165 buildArch (heat-cfntools-1.2.0-1.fc18.src.rpm, noarch): open (buildvm-26.phx2.fedoraproject.org)
  5111165 buildArch (heat-cfntools-1.2.0-1.fc18.src.rpm, noarch): open (buildvm-26.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
5111164 build (f19, heat-cfntools-1.2.0-1.fc18.src.rpm): open (buildvm-08.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5111164 build (f19, heat-cfntools-1.2.0-1.fc18.src.rpm) completed successfully
#------------------------------------#

Comment 3 Kashyap Chamarthy 2013-03-12 06:10:21 UTC
===== Manual review of MUST items from Comment #1 =====

[X ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
	- Apache License Version 2.0

[X]: Changelog in prescribed format.
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: Package contains no bundled libraries without FPC exception.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[X]: Package complies to the Packaging Guidelines
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "*No copyright* Apache (v2.0)". 2 files have unknown
     license. Detailed output of licensecheck in /home/kashyap/rpmbuild/SRPMS
     /heat-cfntools/licensecheck.txt

-> Output from licensecheck.txt
================================
$ cat licensecheck.txt 

Apache (v2.0)
-------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/heat-cfntools-1.2/heat_cfntools/tests/test_cfn_helper.py

*No copyright* Apache (v2.0)
----------------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/heat-cfntools-1.2/setup.py
================================

[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X ]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.



Note: The only minor nit is there's no copyright in -- /var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/heat-cfntools-1.2/setup.py

As it's under a MUST item, it needs to be addressed I guess.

Rest all looks good to me, package approved w/ the above nit addressed.  

Scratch build successful per comment #2.

Comment 4 Steven Dake 2013-03-12 15:08:13 UTC
(In reply to comment #1)
> Package Review
> ==============
> 
> Key:
> [x] = Pass
> [!] = Fail
> [-] = Not applicable
> [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> 
> ===== MUST items =====
> 
> Generic:
> [ ]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [ ]: Package contains no bundled libraries without FPC exception.
> [ ]: Changelog in prescribed format.
> [ ]: Sources contain only permissible code or content.
> [ ]: Package contains desktop file if it is a GUI application.
> [ ]: Development files must be in a -devel package
> [ ]: Package requires other packages for directories it uses.
> [ ]: Package uses nothing in %doc for runtime.
> [ ]: Package is not known to require ExcludeArch.
> [ ]: Package complies to the Packaging Guidelines
> [ ]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Apache (v2.0)", "*No copyright* Apache (v2.0)". 2 files have unknown
>      license. Detailed output of licensecheck in /home/kashyap/rpmbuild/SRPMS
>      /heat-cfntools/licensecheck.txt
> [ ]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> [ ]: Package is named according to the Package Naming Guidelines.
> [ ]: Package does not generate any conflict.
> [ ]: Package obeys FHS, except libexecdir and /usr/target.
> [ ]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [ ]: Package must own all directories that it creates.
> [ ]: Package does not own files or directories owned by other packages.
> [ ]: Requires correct, justified where necessary.
> [ ]: Spec file is legible and written in American English.
> [ ]: Package contains systemd file(s) if in need.
> [ ]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 20480 bytes in 2 files.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Each %files section contains %defattr if rpm < 4.4
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Fully versioned dependency in subpackages, if present.
> [x]: Spec file lacks Packager, Vendor, PreReq tags.
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> 
> Python:
> [ ]: Python eggs must not download any dependencies during the build process.
> [ ]: A package which is used by another package via an egg interface should
>      provide egg info.
> [ ]: Package meets the Packaging Guidelines::Python
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> 
> Generic:
> [ ]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [ ]: Final provides and requires are sane (see attachments).
> [ ]: Package functions as described.
> [ ]: Latest version is packaged.
> [ ]: Package does not include license text files separate from upstream.
> [ ]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [ ]: Package should compile and build into binary rpms on all supported
>      architectures.
> [ ]: %check is present and all tests pass.
> [ ]: Packages should try to preserve timestamps of original installed files.
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present.
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX tarball generation or download is documented.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> 
> 
> Rpmlint
> -------
> Checking: heat-cfntools-1.2.0-1.fc18.noarch.rpm
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-init
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-create-aws-symlinks
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-signal
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-get-metadata
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-push-stats
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-hup
> 1 packages and 0 specfiles checked; 0 errors, 6 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint heat-cfntools
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-init
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-create-aws-symlinks
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-signal
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-get-metadata
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-push-stats
> heat-cfntools.noarch: W: no-manual-page-for-binary cfn-hup
> 1 packages and 0 specfiles checked; 0 errors, 6 warnings.
> # echo 'rpmlint-done:'
> 
> 
> 
> Requires
> --------
> heat-cfntools (rpmlib, GLIBC filtered):
>     /usr/bin/python
>     python(abi)
>     python-boto
>     python-psutil
> 
> 
> 
> Provides
> --------
> heat-cfntools:
>     heat-cfntools
> 
> 
> 
> MD5-sum check
> -------------
> https://pypi.python.org/packages/source/h/heat-cfntools/heat-cfntools-1.2.
> tar.gz :
>   CHECKSUM(SHA256) this package     :
> ab305b318eacc0a0092fabd6897274ec28e9b3f6d30e03b0dc82765233bb729b
>   CHECKSUM(SHA256) upstream package :
> ab305b318eacc0a0092fabd6897274ec28e9b3f6d30e03b0dc82765233bb729b
> 
> 
> Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
> Buildroot used: fedora-18-x86_64
> Command line :/bin/fedora-review --rpm-spec -n
> heat-cfntools-1.2.0-1.fc18.src.rpm

(In reply to comment #3)
> ===== Manual review of MUST items from Comment #1 =====
> 
> [X ]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> 	- Apache License Version 2.0
> 
> [X]: Changelog in prescribed format.
> [X]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [X]: Package contains no bundled libraries without FPC exception.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [-]: Package requires other packages for directories it uses.
> [X]: Package uses nothing in %doc for runtime.
> [X]: Package is not known to require ExcludeArch.
> [X]: Package complies to the Packaging Guidelines
> [X]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Apache (v2.0)", "*No copyright* Apache (v2.0)". 2 files have unknown
>      license. Detailed output of licensecheck in /home/kashyap/rpmbuild/SRPMS
>      /heat-cfntools/licensecheck.txt
> 
> -> Output from licensecheck.txt
> ================================
> $ cat licensecheck.txt 
> 
> Apache (v2.0)
> -------------
> /var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/heat-cfntools-1.2/
> heat_cfntools/tests/test_cfn_helper.py
> 
> *No copyright* Apache (v2.0)
> ----------------------------
> /var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/heat-cfntools-1.2/
> setup.py
> ================================
> 
> [X]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> [X]: Package is named according to the Package Naming Guidelines.
> [X]: Package does not generate any conflict.
> [X]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [X]: Package must own all directories that it creates.
> [X]: Package does not own files or directories owned by other packages.
> [X ]: Requires correct, justified where necessary.
> [X]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [-]: Large documentation must go in a -doc subpackage.
> 
> 
> 
> Note: The only minor nit is there's no copyright in --
> /var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/heat-cfntools-1.2/
> setup.py
> 
> As it's under a MUST item, it needs to be addressed I guess.
> 
> Rest all looks good to me, package approved w/ the above nit addressed.  
> 
> Scratch build successful per comment #2.


Thanks for the quick review!

Note that the policy is that if the project doesn't have a LICENSE file, it must have license text on each source file.  A LICENSE file overrides individual copyrights on py files.  None-the-less I have filed a bug with upstream because IMO files should all have license headers in the case they are copied out of tree:

https://bugs.launchpad.net/heat-cfntools/+bug/1154136

In the meantime, could you approve the package with the understanding that I will rebase as soon as the upstream update comes out?

Thanks
-steve

Comment 5 Kashyap Chamarthy 2013-03-13 13:36:50 UTC
Fine.

Per comment #4, reviewed and pkg approved.

Comment 6 Steven Dake 2013-03-19 20:21:04 UTC
New Package SCM Request
=======================
Package Name: heat-cfntools
Short Description: Heat tools for Heat Instances
Owners: sdake, asalkeld, jpeeler, zaneb
Branches: devel, f19
InitialCC:

Comment 7 Gwyn Ciesla 2013-03-19 21:13:01 UTC
Git done (by process-git-requests).

Comment 8 Jeff Peeler 2013-03-26 21:55:36 UTC
Package Change Request
======================
Package Name: heat-cfntools
New Branches: el6
Owners: sdake, asalkeld, jpeeler, zaneb
InitialCC:

Comment 9 Gwyn Ciesla 2013-03-27 12:40:12 UTC
Git done (by process-git-requests).

Comment 10 Jeff Peeler 2013-03-28 19:43:44 UTC
Package Change Request
======================
Package Name: heat-cfntools
New Branches: f18
Owners: sdake, asalkeld, jpeeler, zaneb
InitialCC:

Comment 11 Gwyn Ciesla 2013-03-28 19:54:05 UTC
Git done (by process-git-requests).

Comment 12 Jeff Peeler 2014-06-25 22:05:58 UTC
Package Change Request
======================
Package Name: heat-cfntools
New Branches: epel7
Owners: sdake, jpeeler, zaneb
InitialCC:

Can be branched from el6. Note, this request is also listed here:

https://fedoraproject.org/wiki/EPEL/epel7/Requests

Comment 13 Gwyn Ciesla 2014-06-26 11:54:30 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.